signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Friends | List of all members
SignonDaemonNS::SignonIdentity Class Reference

Daemon side representation of identity. More...

`#include <signonidentity.h>`

Inheritance diagram for SignonDaemonNS::SignonIdentity:
[legend]
Collaboration diagram for SignonDaemonNS::SignonIdentity:
[legend]

## Public Slots
quint32 | requestCredentialsUpdate (const QString &message)
QVariantMap | getInfo ()
bool | addReference (const QString &reference)
bool | removeReference (const QString &reference)
bool | verifyUser (const QVariantMap &params)
bool | verifySecret (const QString &secret)
void | remove ()
bool | signOut ()
quint32 | store (const QVariantMap &info)
void | queryUiSlot (QDBusPendingCallWatcher *call)
void | verifyUiSlot (QDBusPendingCallWatcher *call)
Public Slots inherited from SignonDaemonNS::SignonDisposable
static void | destroyUnused ()
| Deletes all disposable object for which the inactivity time has elapsed. More...

## Signals
void | unregistered ()
void | infoUpdated (int)
void | stored (SignonIdentity *identity)

## Public Member Functions
void | destroy ()
| Performs any predestruction operations and the destruction itself. More...
quint32 | id () const
SignonIdentityInfo | queryInfo (bool &ok, bool queryPassword=true)
quint32 | storeCredentials (const SignonIdentityInfo &info)
Public Member Functions inherited from SignonDaemonNS::SignonDisposable
| SignonDisposable (int maxInactivity, QObject *parent)
| Construct an object that can be automatically destroyed after having being unused for seconds. More...
void | keepInUse () const
| Mark the object as used. More...
void | setAutoDestruct (bool value=true) const
| Mark the object as used. More...

## Static Public Member Functions
static SignonIdentity * | createIdentity (quint32 id, SignonDaemon *parent)
Static Public Member Functions inherited from SignonDaemonNS::SignonDisposable
static void | invokeOnIdle (int maxInactivity, QObject *object, const char *member)
| Invoke the specified method on when there are no disposable objects for more than seconds. More...

## Friends
class | PendingCallWatcherWithContext
class | SignonIdentityAdaptor

## Additional Inherited Members
Protected Member Functions inherited from SignonDaemonNS::SignonDisposable
virtual | ~SignonDisposable ()

## Detailed Description

Daemon side representation of identity.

Todo:
  description.

Definition at line 50 of file signonidentity.h.

## Member Function Documentation

bool SignonDaemonNS::SignonIdentity::addReference | ( | const QString & | reference | ) |
| slot

Definition at line 163 of file signonidentity.cpp.

References SignonDaemonNS::CredentialsDB::addReference(), SignonDaemonNS::AccessControlManagerHelper::appIdOfPeer(), BLAME, SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::AccessControlManagerHelper::instance(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::SignonDisposable::keepInUse(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, and TRACE.

Referenced by SignonDaemonNS::SignonIdentityAdaptor::addReference().

SignonIdentity * SignonDaemonNS::SignonIdentity::createIdentity | ( | quint32 | id,
|  | SignonDaemon * | parent
| ) |  |
| static

Definition at line 116 of file signonidentity.cpp.

References SignonDaemonNS::SignonDaemon::identityTimeout().

void SignonDaemonNS::SignonIdentity::destroy | ( |  | ) |
| virtual

Performs any predestruction operations and the destruction itself.

Reimplement this for smoother control.

Reimplemented from SignonDaemonNS::SignonDisposable.

Definition at line 121 of file signonidentity.cpp.

Referenced by SignonDaemonNS::SignonDaemon::getIdentity().

QVariantMap SignonDaemonNS::SignonIdentity::getInfo | ( |  | ) |
| slot

Definition at line 244 of file signonidentity.cpp.

References SignonDaemonNS::SignonIdentityInfo::isNew(), SignonDaemonNS::SignonDisposable::keepInUse(), queryInfo(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, SignonDaemonNS::SignonIdentityInfo::toMap(), and TRACE.

Referenced by SignonDaemonNS::SignonIdentityAdaptor::getInfo().

quint32 SignonDaemonNS::SignonIdentity::id | ( |  | ) | const
| inline

Definition at line 62 of file signonidentity.h.

Referenced by SignonDaemonNS::SignonIdentityAdaptor::addReference(), SignonDaemonNS::SignonIdentityAdaptor::getInfo(), SignonDaemonNS::SignonIdentityAdaptor::remove(), SignonDaemonNS::SignonIdentityAdaptor::removeReference(), SignonDaemonNS::SignonIdentityAdaptor::requestCredentialsUpdate(), SignonDaemonNS::SignonIdentityAdaptor::signOut(), signOut(), SignonDaemonNS::SignonIdentityAdaptor::store(), SignonDaemonNS::SignonIdentityAdaptor::verifySecret(), and SignonDaemonNS::SignonIdentityAdaptor::verifyUser().

void SignonDaemonNS::SignonIdentity::infoUpdated | ( | int |  | ) |
| signal

Referenced by storeCredentials().

SignonIdentityInfo SignonDaemonNS::SignonIdentity::queryInfo | ( | bool & | ok,
|  | bool | queryPassword = `true`
| ) |  |

Definition at line 126 of file signonidentity.cpp.

References SignonDaemonNS::CredentialsDB::credentials(), SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::CredentialsDB::lastError(), SignonDaemonNS::SignonIdentityInfo::password(), and SignonDaemonNS::SignonIdentityInfo::setPassword().

Referenced by SignonDaemonNS::SignonDaemon::getIdentity(), getInfo(), requestCredentialsUpdate(), verifySecret(), and verifyUser().

void SignonDaemonNS::SignonIdentity::queryUiSlot | ( | QDBusPendingCallWatcher * | call | ) |
| slot

Definition at line 525 of file signonidentity.cpp.

References BLAME, SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::CredentialsAccessManager::instance(), PendingCallWatcherWithContext, SignonDaemonNS::SignonDisposable::setAutoDestruct(), SignonDaemonNS::SignonIdentityInfo::setPassword(), TRACE, and SignonDaemonNS::CredentialsDB::updateCredentials().

Referenced by requestCredentialsUpdate().

void SignonDaemonNS::SignonIdentity::remove | ( |  | ) |
| slot

Definition at line 341 of file signonidentity.cpp.

References SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::SignonDisposable::keepInUse(), PendingCallWatcherWithContext, SignonDaemonNS::CredentialsDB::removeCredentials(), SignonUiAdaptor::removeIdentityData(), SignonDaemonNS::SignonDisposable::setAutoDestruct(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, and TRACE.

Referenced by SignonDaemonNS::SignonIdentityAdaptor::remove().

bool SignonDaemonNS::SignonIdentity::removeReference | ( | const QString & | reference | ) |
| slot

Definition at line 183 of file signonidentity.cpp.

References SignonDaemonNS::AccessControlManagerHelper::appIdOfPeer(), BLAME, SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::AccessControlManagerHelper::instance(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::SignonDisposable::keepInUse(), SignonDaemonNS::CredentialsDB::removeReference(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, and TRACE.

Referenced by SignonDaemonNS::SignonIdentityAdaptor::removeReference().

quint32 SignonDaemonNS::SignonIdentity::requestCredentialsUpdate | ( | const QString & | message | ) |
| slot

Definition at line 203 of file signonidentity.cpp.

References BLAME, SignonDaemonNS::SignonIdentityInfo::caption(), PendingCallWatcherWithContext, SignonUiAdaptor::queryDialog(), queryInfo(), queryUiSlot(), SignonDaemonNS::SignonDisposable::setAutoDestruct(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, SignonDaemonNS::SignonIdentityInfo::storePassword(), TRACE, and SignonDaemonNS::SignonIdentityInfo::userName().

Referenced by SignonDaemonNS::SignonIdentityAdaptor::requestCredentialsUpdate().

bool SignonDaemonNS::SignonIdentity::signOut | ( |  | ) |
| slot

Definition at line 382 of file signonidentity.cpp.

References SignonDaemonNS::CredentialsAccessManager::credentialsDB(), id(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::SignonDisposable::keepInUse(), PendingCallWatcherWithContext, SignonDaemonNS::CredentialsDB::removeData(), SignonUiAdaptor::removeIdentityData(), SignonDaemonNS::SignonDisposable::setAutoDestruct(), and TRACE.

Referenced by SignonDaemonNS::SignonIdentityAdaptor::signOut().

quint32 SignonDaemonNS::SignonIdentity::store | ( | const QVariantMap & | info | ) |
| slot

Definition at line 433 of file signonidentity.cpp.

References SignonDaemonNS::AccessControlManagerHelper::appIdOfPeer(), SignonDaemonNS::AccessControlManagerHelper::instance(), SignonDaemonNS::SignonDisposable::keepInUse(), SignonDaemonNS::SignonIdentityInfo::setAccessControlList(), SignonDaemonNS::SignonIdentityInfo::setCaption(), SignonDaemonNS::SignonIdentityInfo::setMethods(), SignonDaemonNS::SignonIdentityInfo::setOwnerList(), SignonDaemonNS::SignonIdentityInfo::setPassword(), SignonDaemonNS::SignonIdentityInfo::setRealms(), SignonDaemonNS::SignonIdentityInfo::setStorePassword(), SignonDaemonNS::SignonIdentityInfo::setType(), SignonDaemonNS::SignonIdentityInfo::setUserName(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, and storeCredentials().

Referenced by SignonDaemonNS::SignonIdentityAdaptor::store().

quint32 SignonDaemonNS::SignonIdentity::storeCredentials | ( | const SignonIdentityInfo & | info | ) |

Definition at line 492 of file signonidentity.cpp.

References BLAME, SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::CredentialsDB::errorOccurred(), infoUpdated(), SignonDaemonNS::CredentialsDB::insertCredentials(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::SignonIdentityInfo::isNew(), stored(), TRACE, and SignonDaemonNS::CredentialsDB::updateCredentials().

Referenced by store().

void SignonDaemonNS::SignonIdentity::stored | ( | SignonIdentity * | identity | ) |
| signal

Referenced by storeCredentials().

void SignonDaemonNS::SignonIdentity::unregistered | ( |  | ) |
| signal

bool SignonDaemonNS::SignonIdentity::verifySecret | ( | const QString & | secret | ) |
| slot

Definition at line 320 of file signonidentity.cpp.

References SignonDaemonNS::CredentialsDB::checkPassword(), SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::SignonIdentityInfo::id(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::SignonDisposable::keepInUse(), queryInfo(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, TRACE, and SignonDaemonNS::SignonIdentityInfo::userName().

Referenced by SignonDaemonNS::SignonIdentityAdaptor::verifySecret().

void SignonDaemonNS::SignonIdentity::verifyUiSlot | ( | QDBusPendingCallWatcher * | call | ) |
| slot

Definition at line 614 of file signonidentity.cpp.

References BLAME, SignonDaemonNS::CredentialsAccessManager::credentialsDB(), SignonDaemonNS::CredentialsAccessManager::instance(), SignonDaemonNS::SignonIdentityInfo::password(), PendingCallWatcherWithContext, SignonDaemonNS::SignonDisposable::setAutoDestruct(), and TRACE.

bool SignonDaemonNS::SignonIdentity::verifyUser | ( | const QVariantMap & | params | ) |
| slot

Definition at line 286 of file signonidentity.cpp.

References BLAME, SignonDaemonNS::SignonIdentityInfo::caption(), SignonDaemonNS::SignonIdentityInfo::password(), queryInfo(), SIGNON_RETURN_IF_CAM_UNAVAILABLE, SignonDaemonNS::SignonIdentityInfo::storePassword(), and SignonDaemonNS::SignonIdentityInfo::userName().

Referenced by SignonDaemonNS::SignonIdentityAdaptor::verifyUser().

## Friends And Related Function Documentation

friend class PendingCallWatcherWithContext
| friend

Definition at line 54 of file signonidentity.h.

Referenced by queryUiSlot(), remove(), requestCredentialsUpdate(), signOut(), and verifyUiSlot().

friend class SignonIdentityAdaptor
| friend

Definition at line 55 of file signonidentity.h.

The documentation for this class was generated from the following files:

- src/signond/signonidentity.h
- src/signond/signonidentity.cpp